Project

General

Profile

Actions

Backport #5286

closed

please backport r33201 ([Bug #5279] String#encode might raise SecurityError if $SAFE >=3)

Added by kazuhiko (Kazuhiko Shiozaki) about 10 years ago. Updated about 10 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
[ruby-dev:44479]

Description

Please backport r33201 that fixes the following bug.
[Bug #5279] [ruby-dev:44469] $SAFEが3以上の時にString#encodeがSecurityErrorを発生させるケースがある

Kazuhiko

Actions

Also available in: Atom PDF